<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type"><title>Tdct Configuration File</title>

<meta content="Rolf Keitel" name="author"></head>
<body>
<h2><a name="Configuration_File">Configuration
File</a></h2>
<br>
<a href="#Introduction">Configuration File Location</a><br>
<a href="#Schematic_and_Symbol_File_Locations">Schematic
and Symbol File Locations</a><br>
<a href="#Creating_a_Configuration_File">Creating a
Configuration File</a><br>
<span style="text-decoration: underline;"><a href="#Format">Configuration
File Format</a><br>
&nbsp;<a href="#windows_vs_linux">
&nbsp;&nbsp; Windows vs Linux</a><br>
&nbsp; &nbsp; &nbsp;<a href="#Path_definitions">Path
Definitions</a><br>
</span><a href="#keywords">Keywords</a><br>
<div style="margin-left: 40px;"><a href="TdctConfig.html#include"><span style="font-family: monospace;">[include]</span></a><span style="font-family: monospace;"></span><br style="font-family: monospace;">
<a href="TdctConfig.html#options"><span style="font-family: monospace;">[options]</span></a><br>
&nbsp;&nbsp;&nbsp; <a href="#alphabetical_list_of_options:">Alphabetical List of
Options</a><br>
&nbsp;&nbsp;&nbsp; <a href="#Options_reference">Options
Reference</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#Debugging_and_Version_Control_Options">Debugging and
Revision Control</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#Application_Limit_Options">Application Limits</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#Application_Behaviour_Options">Application Behaviour</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#Warning_Message_Control_Options">Warning Message
Control</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#On-line_Options">On-line Options</a><br>
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp;<a href="#Gemini_Options">Gemini Options</a>
&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; <span style="font-family: monospace;"></span><br style="font-family: monospace;">
<a href="TdctConfig.html#color"><span style="font-family: monospace;"></span></a><a href="#color"><span style="font-family: monospace;">[color]</span></a><br>
<a style="font-family: monospace;" href="#printcolor">[printcolor]</a><span style="font-family: monospace;"></span><br style="font-family: monospace;">
<a href="#edbdef"><span style="font-family: monospace;">[edbdef]</span></a><br style="font-family: monospace;">
<a href="#epicslib"><span style="font-family: monospace;">[epicslib]</span></a><br style="font-family: monospace;">
<a href="#defaultlib"><span style="font-family: monospace;">[defaultlib]</span></a><br style="font-family: monospace;">
<a href="#userpath"><span style="font-family: monospace;">[userpath]</span></a><span style="font-family: monospace;"></span><br style="font-family: monospace;">
<a href="#dbpath"><span style="font-family: monospace;">[dbpath]</span></a><br>
<a style="font-family: monospace;" href="#helppath">[helppath]</a><br style="font-family: monospace;">
<a href="#startup"><span style="font-family: monospace;">[startup]</span></a><br style="font-family: monospace;">
<a href="#dbdpath"><span style="font-family: monospace;">[dbdpath]<br>
</span></a><a style="font-family: monospace;" href="#epicsports">[EPICS ports]</a><br style="font-family: monospace;">
<a href="#dbdfile"><span style="font-family: monospace;">[dbdfile]<br>
</span></a><span style="font-family: monospace;"></span><a href="#epicsmenuname"><span style="font-family: monospace;">[epicsmenuname]</span><br style="font-family: monospace;">
</a>
<a href="#epicsmenu"><span style="font-family: monospace;">[epicsmenu]</span></a><br style="font-family: monospace;">
<a href="#endcfg"><span style="font-family: monospace;">[endcfg]</span></a><br>
</div>
<a href="#Environment_Variables">Environment Variables</a><br>
<br>
<h3><a name="Introduction">Configuration
File Location</a></h3>
By default&nbsp;tdct looks for a configuration file<span style="font-family: monospace;"> tdct.cfg</span>&nbsp;
in the current directory. If not <span style="font-family: monospace;">tdct.cfg</span> is
found,&nbsp; the
sub-directory <span style="font-family: monospace;">.tdct</span>
of
the user's home &nbsp;directory is searched..<br>
This can be overridden with the <a href="TdctRunning.html#Running_Tdct_with_Command_Line">command
line parameter</a> -cfg.<br>
If
tdct.cfg is not found, tdct asks the user if it should generate a
template tdct.cfg file in the user's home directory. This file can then
be edited to reflect the user's configuration.<br>
<br>
<span style="font-weight: bold;">Unix and Linux</span><br>
On Unix type systems, the user's home directory is reached with the <span style="font-family: monospace;">cd ~</span> command.<br>
<br>
<span style="font-weight: bold;">Windows</span><br>
On Windows XP systems, the user's home directory is C:\Document and
Settings\&lt;user&gt;.<br>
On Windows Vista and Windows 7 systems, the user's home directory is
c:\Users\&lt;user&gt;.<br>
NOTE: The .tdct sub-directory cannot be created with Windows Explorer.
Use the DOS box and type<br>
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <span style="font-family: monospace;">mkdir .tdct </span><br>
from your home directory. Once created, the .tdct directory can be
accessed with Windows Explorer.<br>
<br>
<h3><a name="Schematic_and_Symbol_File_Locations"></a>Schematic
and Symbol File Locations</h3>
The configuration file contains several directives which point to file
locations:<br>
<ul>
<li>EPICS symbols are pointed to by the [epicslib] directive.</li>
<li>All other symbol files with no corresponding schematic file
are pointed to by the [defaultlib] directive.</li>
<li>All user components (symbol and schematic files with
identical base name) &nbsp;are pointed to by the [userpath]
directive</li>
</ul>
<br>
<br>
<h3><a name="Creating_a_Configuration_File">Creating
a Configuration File</a></h3>
The
tdct menu item Help &gt;&gt; write tdct_example.cfg can be used
to
write an example configuration file<span style="font-weight: bold; font-style: italic;"> which uses
the current
configuration parameters</span>.<br>
<br>
This file is fully commented &nbsp;and
contains all configuration options even if they equal the default
values. This allows conversion of legacy configuration files.
<h3><a name="Format">Configuration File
Format</a></h3>
The configuration file consists of &nbsp;configuration directive
lines
and comment lines.<br>
<br>
A configuration directive line starts with &nbsp;a&nbsp;keyword
which
is followed by one or more parameters, all separated by white space. <br>
The keyword is enclosed in square brackets.<br>
<br>
Any line not starting with a directive keyword is considered a comment.<br>
<br>
<h4><a name="windows_vs_linux">Windows vs.
Linux (or Unix)</a></h4>
For project development teams with both Linux and Windows users it is
usually desirable to use a common configuration file.<br>
To facilitate this, tdct can read configuration files where paths are
specified in windows format<br>
<span style="font-family: monospace;">&nbsp;&nbsp;e.g.
&nbsp;c:\mydirectory;d:\myotherdirectory</span><br>
or in Linux format<br>
<span style="font-family: monospace;">&nbsp;
&nbsp;e.g.
/usr1/project1/mydirectory:/usr2/project2/myotherdirectory<br>
<br>
</span>The mapping of Windows drive letters to Linux mount points
can be specified in one or more directives of the form<span style="font-family: monospace;"><br>
<br>
[win2linux] &lt;windows drive&gt; &lt;linux mount
point&gt;<br>
<br>
</span>For the path examples given above, the following mapping
directives would be required<span style="font-family: monospace;"><br>
<br>
[win2linux] c: /usr1/project1<br>
</span><span style="font-family: monospace;">[win2linux]
d: /usr2/project2<br>
<br>
</span><span style="font-weight: bold; font-style: italic;">Please
note that the windows drive lettes and Linux mount points are case
sensitive.</span><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"><br>
</span>
<h4><a name="Path_definitions">Path directives</a></h4>
<span style="font-weight: bold;"></span>The
following directives define paths:<br>
<a href="TdctConfig.html#edbdef"><span style="font-family: monospace;">[edbdef]</span></a><br style="font-family: monospace;">
<a href="TdctConfig.html#epicslib"><span style="font-family: monospace;">[epicslib]</span></a><br style="font-family: monospace;">
<a href="TdctConfig.html#defaultlib"><span style="font-family: monospace;">[defaultlib]</span></a><br style="font-family: monospace;">
<a href="TdctConfig.html#userpath"><span style="font-family: monospace;">[userpath]</span></a><span style="font-family: monospace;"></span><br style="font-family: monospace;">
<a href="TdctConfig.html#dbpath"><span style="font-family: monospace;">[dbpath]</span></a><br>
<a style="font-family: monospace;" href="TdctConfig.html#helppath">[helppath]</a><br style="font-family: monospace;">
<a href="TdctConfig.html#startup"><span style="font-family: monospace;">[startup]</span></a><br style="font-family: monospace;">
<a href="TdctConfig.html#dbdpath"><span style="font-family: monospace;">[dbdpath]</span></a><span style="font-weight: bold;"><br>
</span>
<ul>
<li>Environment variables can be used in path definitions.</li>
<li>The
directives [epicslib], [defaultlib] and [userpath] are mutually
exclusive, i.e. a directory must&nbsp;appear&nbsp;only in one
of them.<br>
As of release 2.17.3 this restriction does not apply any more.</li>
<li>The&nbsp;directives [edbdef], [dbpath], [helppath],
[startup] must contain only one directory.</li>
<li>The
directive [edbdef] may specify a path with filename or a path without
file name (terminated with a File separator). In the latter case tdct
assumes the filename 'edb.def'.<br>
[edbdef] is required in Capfast<span style="font-weight: bold;">&#8482;
</span>compatibility mode.<br>
[edbdef] is not required in dbd mode, if record types are defined with
the menu definitions.</li>
<li>The
directives [epicslib], [defaultlib], [userpath], [dbdpath] may contain
multiple directories separated by the operation system-specific path
separator.</li>
<li>Directory definitions may be written either with
Windows-style ( \ ) or Unix-style ( / ) separators. If multiple
directories are used in one path directive, however, the correct
systm-specific path separator must be used.</li>
</ul>
<br>
<span style="font-style: italic; font-weight: bold;">NOTE:
the sequence
of directive keywords is important!</span><br>
<br>
The following directive keywords are available (keywords followed by
.... &nbsp;may appear more than once) and should be placed in the
sequence shown below:<br>
<br>
<span style="font-family: monospace;">[options]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">....</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[color]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">....</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[edbdef]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[epicslib]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[defaultlib]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[userpath]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">....</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[dbpath]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[startup]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[dbdpath]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[dbdfile]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">....</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[epicsmenu]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">....</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[endcfg]</span><br>
<br>
<span style="font-weight: bold;"></span>
<h3><a name="keywords">Keywords</a></h3>
<h4><a name="include">[include]</a></h4>
This keyword can appear more than once. Format:<br>
<span style="font-family: monospace;">[include]
&lt;include file
name&gt;<br>
<br>
</span>With this directive, the configuration file can load other
files.<br>
NOTE: &nbsp;be careful to check your actual configuration
(with&nbsp; <span style="font-style: italic;">Help
&gt;&gt; View Configuration</span>) .
The keyword sequence is important and tdct may not catch all errors.<br>
<h4><a name="options">[options]</a></h4>
This keyword can appear more than once. Generic format:<br>
<br>
<span style="font-family: monospace;">[options]
&lt;option name&gt; [&lt;option value&gt;]<br>
<br>
</span>For options, which have possible values of true or false,
the option
value need not be specified. In this case the option is evaluated to
true. If the option is not present in the configuration file, the
option
evalutes to the default, which is listed below with the specific option.<span style="font-family: monospace;"><br>
<br>
<br>
<h4><a name="Options_reference">Options reference</a></h4>
</span>Options are loosely grouped by functionality.<br>
<br>
<span style="font-weight: bold; font-style: italic;"><a name="Application_Mode"></a>Application Mode</span><br>
<span style="font-family: monospace;"><span style="font-family: monospace;"><br>
[options]
dbdmode </span><span style="font-family: monospace;">[true
| false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls the
compatibility
mode. If true "Dbd" mode is on, if false "Compatibility mode" is on. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-weight: bold; font-family: Times New Roman,Times,serif;">Important:
</span><span style="font-family: Times New Roman,Times,serif;">See
the help item
on "</span><a style="font-family: Times New Roman,Times,serif;" href="TdctCompatibility.html">Capfast Compatibilty</a><span style="font-family: Times New Roman,Times,serif;">".</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span></big>
<br>
<br>
</div>
<span style="font-family: monospace;"></span></span><br>
<span style="font-style: italic; font-weight: bold;"><a name="Debugging_and_Version_Control_Options">Debugging and
Version Control Options<br>
</a></span><br style="font-family: monospace;">
<span style="font-family: monospace;">[options]
add_cvs_tags [true | false]<br>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">If
this option is true CVS
$Revision$ and $Date$ tags are added to the [comments] section of
schematics and symbols.<span style="font-style: italic;"></span><br>
This
option defaults to true.<br>
</div>
<span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;">
[options] cvsframe [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">If this
option is true, a
CVS revision tag is added to the frame.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">Note
that this option requires TRIUMF versions for all frame symbols.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span></big><br>
<span style="font-family: monospace;"></span></div>
<span style="font-family: monospace;"></span><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] debug [true |
false]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option enables the
menu item &nbsp;<span style="font-style: italic;">Options
&gt;&gt; Debug print.<br>
</span>The
option defaults to false.<br>
</div>
<span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] switchcfg [true |
false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><span style="font-family: Times New Roman,Times,serif;">This
option enables the
menu item &nbsp;</span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">Options
&gt;&gt; Change config file.<br>
</span><span style="font-family: Times New Roman,Times,serif;">The
option defaults to false.</span><br>
<br>
</div>
<span style="font-weight: bold; font-style: italic;"><a name="Application_Limit_Options">Application Limit
Options</a><br>
</span><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;">[options]
gridthreshold
&lt;float&gt;<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option specifies the
minimum
display scale above which the display grid is shown</span><span style="font-style: italic; font-family: Times New Roman,Times,serif;"></span><span style="font-family: Times New Roman,Times,serif;">.
The option defaults to 0.7. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-weight: bold; font-style: italic; font-family: Times New Roman,Times,serif;">Note</span><span style="font-family: Times New Roman,Times,serif;">:
The
display grid spacing can be changed from the </span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">Options
&gt;&gt; Grid</span><span style="font-family: Times New Roman,Times,serif;">
menu.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-style: italic; font-weight: bold; font-family: Times New Roman,Times,serif;">Note:</span><span style="font-family: Times New Roman,Times,serif;">
The
display grid is independent of the snap grid. The snap grid cannot be
changed by the user.</span></big>
<br>
<br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options]&nbsp;recent
&lt;integer&gt;<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option specifies the
maximum
number of entries in the<span style="font-style: italic;">
File
&gt;&gt; Open recent</span> menu<span style="font-style: italic;">.<br>
</span>The
option defaults to 10.<br>
<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-weight: bold; font-style: italic;"><a name="Application_Behaviour_Options">Application
Behaviour Options</a></span><br style="font-weight: bold; font-style: italic;">
</span><span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;">[options]
add_instance_property [true |
false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option enables the
addition of&nbsp;instance properties, which are not defined on the
corresponding</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">library
symbol, to an instance of a&nbsp;symbol on a schematic.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">Note:
in Capfast compatiblity mode the record fields which are listed
in the edb.def file determine which</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">&nbsp;
&nbsp; &nbsp; &nbsp; &nbsp; fields are
written to the database.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;"></span></span><big><br>
</big></div>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"></div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] backup_files [true
| false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls the
back-up of schematic and user symbol files before a modified version is
saved to disk</span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">.<br>
</span><span style="font-family: Times New Roman,Times,serif;">The
backup files have .bak appended to the extension.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
option defaults to true.</span><br style="font-family: Times New Roman,Times,serif;">
</big><br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] capfast_proc</span><span style="font-family: monospace;"> [true |
false]</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>This
option controls the
behaviour of a wire link to the SLNK port of an EPICS target record symbol.<br>
</big></div>
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">
If the option is true, the link field of the source record will be set to &lt;target record&gt;.VAL.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the option is false,&nbsp;</span></big><span style="font-family: monospace;"><big><span style="font-family: Times New Roman,Times,serif;">the link field of the source record will be set to &lt;target record&gt;.PROC.</span></big></span><big><span style="font-family: Times New Roman,Times,serif;"> </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false..</span></big><br>
</div>
<div style="margin-left: 40px;">
<br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
copy_paste_with_name</span><span style="font-family: monospace;"> [true |
false]</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>This
option controls the
behaviour of a
copy/paste operation for EPICS records.<br>
</big></div>
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">
If the option is true, EPICS record names will be retained during a
copy/paste operation.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the option is false,&nbsp;EPICS record names will be dropped
during
a copy/paste operation. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false..</span></big><br>
</div>
<div style="margin-left: 40px;">
<br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] cut_paste_with_name</span><span style="font-family: monospace;"> [true |
false]</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>This
option controls the
behaviour of a
cut/paste operation for EPICS records.<br>
</big></div>
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">
If the option is true, EPICS record names will be retained during a
cut/paste operation.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the option is false,&nbsp;EPICS record names will be dropped
during
a cut/paste operation. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false..</span></big><br>
</div>
<div style="margin-left: 40px;">
<br>
</div>
<span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] dbsuffix
&lt;string&gt;<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option specifies the
database
suffix, which is appended to the EPICS database file name</span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">.
</span><span style="font-family: Times New Roman,Times,serif;">The
option
defaults to _tdct.db.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">Example:
&nbsp;</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the schematic name is &nbsp;myschematic.sch,
the database will be written to the file myschematic_tdct.db.</span></big><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span></div>
<br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options]
display_changed_properties</span><span style="font-family: monospace;"> [true | false]</span><br>
<span style="font-family: monospace;">
</span></span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option controls the
automatic display of a dialog box for rearranging / modifying the
display of<br>
EPICS record properties after the Ok or Apply buttons of a record
property sheet are pressed.<br>
This option defaults to true.<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options]
duplicate_connectors [true |
false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option enables the
placement of
more than one hierarchy connector with the same name.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span><br style="font-family: Times New Roman,Times,serif;">
</big><br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
empty_macrotwoquotes
[true
| false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>If
the option is true, a macro&nbsp;value consisting of two
consecutive double-quotes is replaced<br>
with an empty string.<br>
This option defaults to false.<br>
</big></div>
<div style="margin-left: 40px;">
<div style="margin-left: 40px;"><br>
</div>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] empty_macrovalues
[true
| false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>This
option allows macros
to have an
empty value. <br>
If the option is false, an empty macro value causes a warning message
and no macro substitution is done. <br>
If the option is true, an empty macro value results in macro
substitution with an empty string. If the option <br>
&nbsp;&nbsp;empty_macrovalues_warn is true,
a warning
message is issued. <br>
This option defaults to false.<br>
</big></div>
<div style="margin-left: 40px;">
<div style="margin-left: 40px;"><br>
</div>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
empty_unresolved_macros
[true
| false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>If
the option is true and a database (not a template) is built, macros
which are unresolved when record names<br>
or field names are resolved are replaced with an empty string and a
warning message is shown.<br>
This option defaults to false.<br>
</big></div>
<div style="margin-left: 40px;">
<div style="margin-left: 40px;"><br>
</div>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
empty_unresolved_macros_on_registration
[true
| false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>If
the option is true and a database (not a template) is built, macros
which are unresolved when a<br>
sub-schematic is intered are replaced with an empty string and a
warning message is displayed.<br>
This option defaults to false.<br>
</big></div>
<div style="margin-left: 40px;">
<div style="margin-left: 40px;"><br>
</div>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
functionality_notebox [</span><span style="font-family: monospace;">none | always | noauto]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">If
this option is always, a
functionality notebox is added in the top-right corner of a schematic
when<br>
the schematic is saved.<br>
If this option is noauto, a functionality notebox is added in the
top-right corner of a schematic when<br>
the schematic is saved only if the file-path does not contain /auto/.<br>
Note that this option assumes all frame symbol names starting with the
letter b followed by the drawing size (a, b, ..., e)<br>
This option defaults to none.<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">
[options] ignore_connector_direction [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option is obsolete. It is parsed for backward compatibility.<br>
</div>
<span style="font-family: monospace;"><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] import_vdb
</span><span style="font-family: monospace;">[true |
false]</span>
<br>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option controls the importing of vdb files.<br>
</div>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">
If the option is true, VisualDct files can be imported and dbdmode will
be set to true.<br>
If the option is false, VisualDct files cannot be imported<br>
This option defaults to false..<br>
NOTE: this option is experimental an not properly tested.<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]&nbsp;property_dialog_with_parent
</span><span style="font-family: monospace;">[true |
false]</span>
<br>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option controls the
behaviour of
property dialogues. <br>
</div>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">
If the option is true, property dialogues will always be on top of the
canvas<br>
If the option is false, the canvas will move to top if it receives
focus. <br>
This option defaults to false..<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] record_aliases [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">If
this option is true, a
tdct allows the adding of aliases for EPICS record names.<br>
This option defaults to false.<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;">
[options] record_info [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">If
this option is true, a
tdct allows the adding of info nodes to EPICS records.<br>
This option defaults to false.<br>
</div>
<span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options]
single_property_dialog&nbsp;</span><span style="font-family: monospace;">[true | false]</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls the
behaviour of
property dialogues. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the option is false, multiple (non-modal) property dialogues can be
opened simultaneously </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
the option is true, only one (non-modal) property dialogue can be
open
at any given time. When the selection on a schematic is changed, the
dialog is updated.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false..</span><br style="font-family: Times New Roman,Times,serif;">
</big><br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><br>
<span style="font-weight: bold; font-style: italic;"><a name="Warning_Message_Control_Options">Warning
Message Control Options</a><br>
<br>
</span><span style="font-family: monospace;">[options]&nbsp;</span><span style="font-family: monospace;">add_instance_property_warn</span><span style="font-family: monospace;"> [true |
false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls
warnings, if an instance property, which is not defined on the
corresponding</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">library
symbol,&nbsp; has been added to a an instance of a symbol
on a schematic.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span><br style="font-family: Times New Roman,Times,serif;">
</big><br>
</div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options] batch_warnings
[true |
false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls warning messages from schematic load during batch
database building.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;"></span><span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;"></span></span><big><br>
</big></div>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"></div>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
duplicate_connector_warn
[true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><span style="font-family: Times New Roman,Times,serif;">This
option controls
warnings, if
duplicate hierarchy connectors are placed or connected to.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span><br>
</div>
<span style="font-family: monospace;"><br>
[options]&nbsp;</span><span style="font-family: monospace;">empty_macrovalues</span><span style="font-family: monospace;">_warn [true | false]</span><br>
<span style="font-family: monospace;">
</span></span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls
warnings, if
option empty_macrovalues
is true.This option can be modified interactively.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><br>
</div>
<br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] </span><span style="font-family: monospace;">macro_in_menu</span><span style="font-family: monospace;">_warn [true | false]</span><br>
<span style="font-family: monospace;">
</span></span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option
controls&nbsp;warnings, if
an EPICS record field of type DBF_MENU contains a macro<br>
This option defaults to true.<br>
</div>
<span style="font-family: monospace;"><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;">[options]
warn_on_connector_direction [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;"><big>If
this option is obsolete. It is parsed for backward compatibility<br>
<span style="font-weight: bold;"></span></big></div>
<br>
<span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
warn_on_unassigned_id [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">If this
option is true, a
warning is
issued if a record has no id assigned.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><br>
<span style="font-family: monospace;"></span></div>
<span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><span style="font-family: monospace;">[options]
warn_on_incomplete_wires [</span><span style="font-family: monospace;">true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">If this
option is false, warnings about wireswith a free end or hierarchy
connectors<br>
without wires are suppressed during database&nbsp;building.<br style="font-family: Times New Roman,Times,serif;">
</span><span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><br>
<span style="font-family: monospace;"></span></div>
<span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span></span><span style="font-family: monospace;"><br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-weight: bold; font-style: italic;"><a name="On-line_Options">On-line Options</a></span><span style="font-family: monospace;"><br>
<br>
[options] </span><span style="font-family: monospace;">write_to_ioc
</span><span style="font-family: monospace;">[true |
false]<br>
</span>
</span>
<div style="margin-left: 40px; font-family: Times New Roman,Times,serif;">This
option allows writing
to EPICS
process variables from the record property sheet. This option defaults
to false.<br>
</div>
<span style="font-family: monospace;"><span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span><br>
<span style="font-style: italic; font-weight: bold;"><a name="Gemini_Options">Gemini Options</a><br>
<br>
</span><big>The following
options were added to achieve compatibility with Gemini Capfast usage:</big><span style="font-family: monospace;"><br>
<br>
</span><span style="font-family: monospace;">[options]&nbsp;</span><span style="font-family: monospace;">addnppnms</span><span style="font-family: monospace;">&nbsp;</span><span style="font-family: monospace;">[true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option explicitly
adds &nbsp;the
default .NPP.NMS to non-empty record links.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span></big><br>
</div>
<br>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] immediate_macro_use</span><span style="font-family: monospace;"> </span><span style="font-family: monospace;">[true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option governs the
substitution of macros.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
true&nbsp; and&nbsp; a macro value is redefined for a symbol
instance,&nbsp;the redefined value of the macro is </span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">immediately</span><span style="font-family: Times New Roman,Times,serif;"> used for
resolution of further symbol instance properties.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
false, and a&nbsp; macro value is redefined for a symbol
instance, &nbsp;the redefined value of the macro is </span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">not</span>
used for
resolution of other symbol instance properties.<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">In
both cases the redefined macro value is passed on to the
corresponding schematic.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-style: italic; font-weight: bold; font-family: Times New Roman,Times,serif;">It
is
recommended to set this option to false to avoid
unexpected side-effects. (see also help on Building EPICS Databases)</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option was implemented&nbsp;for backward compatibility with
Capfast use at Gemini.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big>
<br>
</div>
<span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span><span style="font-family: monospace;"></span><span style="font-family: monospace;">
[options]&nbsp;</span><span style="font-family: monospace;">overridename&nbsp;</span><span style="font-family: monospace;">[true | false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option allows
overriding of record
names with a name property in an EPICS record symbol. The name property
can contain macros. $(I) is treated as a special macro, which gets
resolved to the symbol ID on the capfast schematic.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to false.</span></big><br>
</div>
<span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span><span style="font-family: monospace;">[options] pproc_wireonly [</span><span style="font-family: monospace;">true
| false]<br>
</span>
</span><span style="font-family: monospace;">
<div style="margin-left: 40px;"><big><span style="font-family: Times New Roman,Times,serif;">This
option controls the
usage of the
pproc and palrm properties when building an EPICS database. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
true,
the pproc and palrm properties modify only wired PV links. </span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">If
false</span><br style="font-family: Times New Roman,Times,serif;">
</big>
<ul style="font-family: Times New Roman,Times,serif;">
<li><big>the pproc and palrm
properties are applied to both wired PV
links
and
links which are specified in input or output link fields.</big></li>
<li><big>if &nbsp;both the
link field and pproc and/or palrm
specify
values other than NPP and NMS, the information in the link field trumps
the values in the pproc and palrm properties..</big></li>
</ul>
<big><span style="font-family: Times New Roman,Times,serif;">This
option was introduced, because the Gemini version of e2db resolved
pproc and palrm properties differently than the newer TRIUMF version..</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">This
option defaults to true.</span></big><span style="font-family: monospace;"><br>
<br>
</span>
</div>
<br>
<br>
<br>
<div style="margin-left: 40px;">
<hr style="width: 100%; height: 2px;"></div>
<h4><a name="color">[color]</a></h4>
</span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
color keyword
allows
the configuration of functional colors.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">&nbsp;</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;"><br>
</span><span style="font-family: Times New Roman,Times,serif;">There
are three variation of this directive:</span><span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-family: monospace;">[color]
&lt;function&gt;
&lt;color name&gt;<br>
</span><span style="font-family: monospace;">[color]
&lt;function&gt;
&lt;red&gt;,&lt;green&gt;,&lt;blue&gt;
&nbsp; &nbsp;where &lt;red&gt; ... are decimal values
in the range 0 .. 255<br>
[color] &lt;function&gt; &lt;hex color value&gt;
&nbsp; &nbsp; &nbsp; e.g. &nbsp; 0xFF0000<br>
<br>
</span></span>Here
&lt;function&gt; is
the functional name of the color. The following table gives the
available functional colors and their default values, which result in
the
Capfast look-and-feel on Windows.<br>
<span style="font-family: monospace;"><br>
<table style="text-align: left; width: 469px; height: 452px;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>functional name</th>
<th>default</th>
<th>comment</th>
</tr>
<tr>
<td>background</td>
<td>black</td>
<td></td>
</tr>
<tr>
<td>foreground</td>
<td>yellow</td>
<td></td>
</tr>
<tr>
<td>grid</td>
<td>light gray</td>
<td></td>
</tr>
<tr>
<td>select</td>
<td>red</td>
<td></td>
</tr>
<tr>
<td>symbol</td>
<td>yellow</td>
<td></td>
</tr>
<tr>
<td>symbol_label</td>
<td>white</td>
<td></td>
</tr>
<tr>
<td>wire</td>
<td>white</td>
<td></td>
</tr>
<tr>
<td>comment</td>
<td>magenta</td>
<td></td>
</tr>
<tr>
<td>hierarchy_connector</td>
<td>215,215,215</td>
<td></td>
</tr>
<tr>
<td>problem</td>
<td>blue</td>
<td></td>
</tr>
<tr>
<td>area_select</td>
<td>green</td>
<td></td>
</tr>
<tr>
<td>highlight</td>
<td>red</td>
<td></td>
</tr>
<tr>
<td>loose_wire</td>
<td>red</td>
<td></td>
</tr>
<tr>
<td>connect</td>
<td>blue</td>
<td></td>
</tr>
<tr>
<td>drag_point</td>
<td>green</td>
<td></td>
</tr>
<tr>
<td>junction</td>
<td>white</td>
<td></td>
</tr>
<tr>
<td>pvvalue</td>
<td>100,100,255</td>
<td></td>
</tr>
<tr>
<td>minor</td>
<td>yellow</td>
<td></td>
</tr>
<tr>
<td>major</td>
<td>red</td>
<td></td>
</tr>
<tr>
<td>invalid</td>
<td>white</td>
<td></td>
</tr>
<tr>
<td>onlinediff</td>
<td>dark gray</td>
<td></td>
</tr>
</tbody>
</table>
<span style="font-family: monospace;"><br>
</span>
<hr style="width: 100%; height: 2px;">
<h4><a name="printcolor">[printcolor]</a></h4>
</span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
printcolor keyword
allows the configuration of functional print colors. It uses the same
set of functional colors as the color keyword.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
default value for all print colors is black, with the following
exceptions</span><span style="font-family: monospace;"><br>
<br>
<table style="text-align: left; width: 469px; height: 100px;" border="1" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<th>functional name</th>
<th>default</th>
<th>comment</th>
</tr>
<tr>
<td>background</td>
<td>white</td>
<td></td>
</tr>
<tr>
<td>problem</td>
<td>blue</td>
<td></td>
</tr>
</tbody>
</table>
<span style="font-family: monospace;"><br>
</span><span style="font-family: monospace;"></span>
<hr style="width: 100%; height: 2px;"><br>
<h4>[edbdef]</h4>
</span>The edbdef keyword
is
used to define the location of the edb.def file or the specification of
and edb.def equivalent file.<br>
Note that edb.def files may contain [include] directives for other
edb.def files.<br>
<span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
</span>
<span style="font-family: monospace;"></span><span style="font-family: monospace;"><br>
</span>
<hr style="width: 100%; height: 2px;">
<h4><a name="epicslib">[epicslib]</a></h4>
</span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">
</span><span style="font-family: Times New Roman,Times,serif;">epicslib</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">
</span><span style="font-family: Times New Roman,Times,serif;">keyword
is used to define
an EPICS library directory. This directory contains symbol files
for&nbsp;EPICS records. Since release 2.17.3 this directory may
also contain user-defined symbols and schematics.</span><span style="font-family: monospace;"><br>
<hr style="width: 100%; height: 2px;">
<h4>[epicslib_compat]</h4>
</span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">
</span><span style="font-family: Times New Roman,Times,serif;">epicslib_compat</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">
</span><span style="font-family: Times New Roman,Times,serif;">keyword
is used to define
a&nbsp;EPICS library directory for a secondary EPICS library. The
secondary EPICS library is used when tdct operates in dbd mode and
reads a schematic which was saved in Capfast</span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">&#8482;</span><span style="font-family: Times New Roman,Times,serif;">
compatibility mode.</span><span style="font-family: monospace;"><br>
<br>
<hr style="width: 100%; height: 2px;">
<h4><a name="defaultlib">[defaultlib]</a></h4>
<big><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
defaultlib&nbsp;keyword
is used to define a default library directory. This
directory contains symbol files for frames and hierarchical inputs.
This keyword is available for compatibility with Capfast installations.
Instead of [defaultlib] the directive [epicslib] may be used.</span></big>
<span style="font-family: monospace;"><big><br>
</big><br>
<span style="font-family: monospace;"></span>
<hr style="width: 100%; height: 2px;">
<h4><a name="userpath">[userpath]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
userpath keyword
defines one directory where user schematics and symbols are stored.</span><span style="font-family: Times New Roman,Times,serif;">Since
release 2.17.3 this directory may also contain EPICS record symbols.</span><span style="font-family: Times New Roman,Times,serif;"></span><span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;">
</span>
<hr style="width: 100%; height: 2px;">
<h4><a name="dbpath">[dbpath]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The
dbpath keyword
defines one directory where generated EPICS database files are written
to. <br>
If this path contains a macro which cannot be resolved from an
environment variable<br>
</span>
<ul>
<li><span style="font-family: Times New Roman,Times,serif;">the
user can specify the macro value in interactive mode.</span></li>
<li><span style="font-family: Times New Roman,Times,serif;">a
warning message is printed in batch mode<br>
</span></li>
</ul>
<span style="font-family: monospace;"><span style="font-family: monospace;">
<hr style="width: 100%; height: 2px;">
<h4><a name="helppath">[helppath]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The
helppath keyword
defines </span>a
URL which points to the location of the index file of&nbsp;
web-based help. You can
<br>
<ul style="font-family: Times New Roman,Times,serif;">
<li>either place copies of the html files on a local web-server.</li>
<li>or define the URL as
http://isacwserv.triumf.ca/epics/tdct/help
&nbsp;to access the TRIUMF-based help.&nbsp;</li>
</ul>
On-line help requires the environment variable TDCT_BROWSER to contain
the startup command for a web-browser.
<span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-weight: bold;"></span>
<hr style="width: 100%; height: 2px;">
<h4><a name="startup">[startup]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The&nbsp;startup
keyword
defines the directory where tdct starts up.<br>
</span><span style="font-family: Times New Roman,Times,serif;">If
this path contains a macro which cannot be resolved from an environment
variable<br>
</span>
<ul>
<li><span style="font-family: Times New Roman,Times,serif;">the
user can specify the macro value in interactive mode.</span></li>
<li><span style="font-family: Times New Roman,Times,serif;">a
warning message is printed in batch mode</span></li>
</ul>
<br>
<span style="font-family: monospace;"><span style="font-family: monospace;">
<hr style="width: 100%; height: 2px;">
<h4><a name="dbdpath">[dbdpath]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The
dbdpath keyword
defines one ore more directories where dbd files are stored.</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
<hr style="width: 100%; height: 2px;">
<h4><a name="dbdfile">[dbdfile]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
dbdfile
keyword defines one
dbd file to be used by tdct.</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
<hr style="width: 100%; height: 2px;">
<h4><a name="epicsports">keyword: [Epics ports]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The EPICS
ports
keyword defines
the EPICS repeater and server ports in on-line mode</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">[EPICS
ports]&nbsp;&lt;CA
repeater port&gt; &nbsp;&lt;CA server port&gt;</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">By
default, there are </span><span style="font-weight: bold; font-family: Times New Roman,Times,serif;">no</span><span style="font-family: Times New Roman,Times,serif;">
ports
defined.</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
<span style="font-weight: bold;"></span>
<hr style="width: 100%; height: 2px;">
<h4><a name="epicsmenuname">[epicsmenuname]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-style: italic; font-weight: bold; font-family: Times New Roman,Times,serif;"></span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
epicsmenuname keyword
defines the name of a sub-menu for EPICS records. Format:</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">[epicsmenuname]
menuSymbolEpics&lt;submenu id&gt; &nbsp;&lt;submenu
label&gt;</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">By
default the submenus menuSymbolEpics1 and menuSymbolEpics2 are
provided. The first [epicsmenuname] keyword in the configuration file
removes the default submenus.</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
<br>
<hr style="width: 100%; height: 2px;">
<h4><a name="epicsmenu">[epicsmenu]</a></h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">This
keyword can appear more than once.</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-style: italic; font-weight: bold; font-family: Times New Roman,Times,serif;"></span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">The
epicsmenu keyword
defines one EPICS record symbol to be placed onto the </span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">Symbol</span><span style="font-family: Times New Roman,Times,serif;">
&gt;&gt; </span><span style="font-style: italic; font-family: Times New Roman,Times,serif;">Epics
primitives</span><span style="font-family: Times New Roman,Times,serif;"> menu.
&nbsp;Each epicsmenu entry
consists of two
lines with the following format:</span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">[epicsmenu]
&lt;submenu name&gt;
&nbsp;&lt;menu item text&gt;</span><br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">&lt;record
symbol&nbsp;name&gt;
&nbsp;[&lt;record type&gt;] </span><br style="font-family: Times New Roman,Times,serif;">
<br style="font-family: Times New Roman,Times,serif;">
<span style="font-family: Times New Roman,Times,serif;">&lt;submenu
name&gt; must be one of the defined submenu names
(see
keyword [epicsmenuname] above)</span><span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;"><br style="font-family: monospace;">
</span>
<br>
</span></span>Example without record type definition
(edb.def file is required):<span style="font-family: monospace;"><span style="font-family: monospace;"><br>
<br>
[epicsmenu] menuSymbolEpics1 analog in (small)<br>
&nbsp;eais<br>
<br>
</span></span>Example withrecord type definition (in dbd
mode no edb.def file would be required):<br>
<br>
<span style="font-family: monospace;"><span style="font-family: monospace;">[epicsmenu] menuSymbolEpics1
analog in (small)<br>
&nbsp;eais ai<br>
<br>
<br>
<hr style="width: 100%; height: 2px;">
<h4><a name="endcfg"></a>[endcfg]</h4>
</span></span><span style="font-family: Times New Roman,Times,serif;">The endcfg
keyword terminates the configuration file</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br>
<br>
<br>
<br>
<br>
<h3><a name="Environment_Variables">Environment
Variables</a></h3>
</span></span><span style="font-family: Times New Roman,Times,serif;">The
following directives resolve macros in the directive parameters from
the environment variables..</span><span style="font-family: monospace;"><span style="font-family: monospace;"><br>
<br>
<span style="font-family: monospace;">[edbdef]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[epicslib]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[defaultlib]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[startup]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[dbpath]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[userpath]</span><br style="font-family: monospace;">
<span style="font-family: monospace;">[dbdpath]<br>
<br>
</span></span></span>Example:<span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;"><br>
[dbdpath] $(PROJECT1)/dbd/<br>
<br>
</span></span></span>In addition, the <span style="font-weight: bold;">Channel
Access variables</span><span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;"><br>
<br>
EPICS_CA_REPEATER_PORT<br>
EPICS_CA_SERVER_PORT<br>
EPICS_CA_ADDR_LIST<br>
EPICS_CA_AUTO_ADDR_LIST<br>
<br>
</span></span></span>may be used to set up the
Channel Access configuration.
The
environment variables for the repeater and server ports override the
values from the configuration file.<br>
<br>
The online help system recognizes the environment variable
TDCT_BROWSER.<br>
If TDCT_BROWSER provides a command to start a web-browser <span style="font-weight: bold;">and</span>
the directive [helppath] sets a URL, the help files will be shown in
the browser. This may provide superior indexing of help topics.<span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;"><br>
</span><br>
<br>
</span></span>
<h3><a name="Undefined_Environment_Variables"></a>Undefined
Environment Variables</h3>
For the path directives [dbpath] and [startup] the user may provide
values at run-time for macros which cannot be resolved from the
environment (interactive mode only).
<h3><span style="font-family: monospace;"><span style="font-family: monospace;"></span></span></h3>
<span style="font-family: monospace;"><span style="font-family: monospace;"><span style="font-family: monospace;">
</span><span style="font-family: monospace;"><br>
<br>
</span>
</span></span>
</body></html>